%define upstream_name    Cache-FastMmap
%define upstream_version 1.57

%define Werror_cflags %nil

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Uses an mmap'ed file to act as a shared memory interprocess cache
License:    Artistic/GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Cache/%{upstream_name}-%{upstream_version}.tar.gz
# https://github.com/robmueller/cache-fastmmap/issues/27
Patch0:     disable-one-test.patch

%{?perl_default_filter}

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::Deep)
BuildRequires: perl-devel
%description
A shared memory cache through an mmap'ed file. It's core is written in C for
performance. It uses fcntl locking to ensure multiple processes can safely
access the cache at the same time. It uses a basic LRU algorithm to keep the
most used entries in the cache.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build OPTIMIZE="%{optflags}"

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%perl_vendorarch/Cache
%perl_vendorarch/auto/Cache
%_mandir/*/*


%changelog
* Mon Jun 06 2022 umeabot <umeabot> 1.570.0-3.mga9
+ Revision: 1861574
- Rebuild for Perl 5.36

* Tue Mar 29 2022 tv <tv> 1.570.0-2.mga9
+ Revision: 1832361
- Skip a test that fails on BS but suceeds in local iurt (???)
- update to 1.57
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.560.0-2.mga9
+ Revision: 1726410
- Rebuild for perl 5.34

* Wed Dec 16 2020 tv <tv> 1.560.0-1.mga8
+ Revision: 1657957
- update to 1.56

* Tue Dec 15 2020 tv <tv> 1.550.0-1.mga8
+ Revision: 1657557
- update to 1.55

* Sun Dec 13 2020 tv <tv> 1.540.0-1.mga8
+ Revision: 1656147
- update to 1.54

* Sat Dec 12 2020 tv <tv> 1.530.0-1.mga8
+ Revision: 1655823
- BR Test::Deep for testsuite
- update to 1.53

* Thu Nov 12 2020 tv <tv> 1.510.0-1.mga8
+ Revision: 1644779
- update to 1.51

* Sat Nov 07 2020 tv <tv> 1.500.0-1.mga8
+ Revision: 1643126
- update to 1.50

* Wed Jun 17 2020 umeabot <umeabot> 1.490.0-2.mga8
+ Revision: 1594312
- Rebuild for perl 5.32

* Tue Mar 24 2020 tv <tv> 1.490.0-1.mga8
+ Revision: 1559210
- update to 1.49

* Sat Feb 15 2020 umeabot <umeabot> 1.480.0-3.mga8
+ Revision: 1528842
- Mageia 8 Mass Rebuild

* Mon Aug 26 2019 tv <tv> 1.480.0-2.mga8
+ Revision: 1432738
- rebuild with perl-5.30

* Thu Apr 11 2019 tv <tv> 1.480.0-1.mga7
+ Revision: 1388471
- update to 1.48

* Fri Sep 21 2018 umeabot <umeabot> 1.470.0-3.mga7
+ Revision: 1292389
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.470.0-2.mga7
+ Revision: 1250296
- Rebuild for perl 5.28

* Sat Apr 07 2018 tv <tv> 1.470.0-1.mga7
+ Revision: 1215981
- update to 1.47

* Mon Oct 02 2017 tv <tv> 1.460.0-2.mga7
+ Revision: 1163197
- rebuild with fixed rpm for missing autodeps

* Wed Sep 20 2017 guillomovitch <guillomovitch> 1.460.0-1.mga7
+ Revision: 1156004
- new version 1.46

* Thu Aug 31 2017 pterjan <pterjan> 1.430.0-4.mga7
+ Revision: 1148676
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.430.0-3.mga7
+ Revision: 1126710
- Rebuild against new Perl 5.26
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sun Nov 15 2015 tv <tv> 1.430.0-1.mga6
+ Revision: 903338
- new release

* Fri Jun 26 2015 sander85 <sander85> 1.400.0-10.mga6
+ Revision: 844076
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.400.0-9.mga5
+ Revision: 745910
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.400.0-8.mga5
+ Revision: 732831
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.400.0-7.mga5
+ Revision: 683722
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.400.0-6.mga5
+ Revision: 630862
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.400.0-5.mga4
+ Revision: 525089
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.400.0-4.mga4
+ Revision: 432029
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.400.0-3.mga3
+ Revision: 363726
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.400.0-2.mga3
+ Revision: 250313
- rebuild for perl 5.16

* Thu Dec 08 2011 kharec <kharec> 1.400.0-1.mga2
+ Revision: 179089
- update to 1.40
+ jquelin <jquelin>
- update to 1.39

* Sat Jun 11 2011 sander85 <sander85> 1.360.0-2.mga2
+ Revision: 103603
- perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 1.360.0-1.mga1
+ Revision: 29851
- mageia rebuild
- imported package perl-Cache-FastMmap

